/*
@font-face {
    font-family: 'verdana';
    src: url('comic.ttf');
    src: local(' '),
    url('comic') format('truetype'),
}
*/

.user-alert {
  background-color: darkred;
  color: white;
  font-weight: bold;
  padding: 10px 25px 10px 25px;
  text-align: center;
  display: none;
  font-size: 16px;
}

.user-alert-small {
  font-size: 10px;
  margin-left: 30px;
  margin-right: 30px;
}

.ups_icon {
  padding-left: 10px;
  width: 75px;
  text-align: left;
}

.ups_hostname {
  padding-left: 10px;
  width: 150px;
  text-align: right;
}

.ups_host {
  padding-left: 10px;
  width: 50px;
  text-align: left;
}

.ups_panel {
  padding-left: 10px;
  background-color: white;
  border-style: none;
  font-family: verdana;
  font-size: 8pt;
  vertical-align: center;
  width: 550px;
}

.ups_battery {
  padding-left: 10px;
  width: 100px;
  text-align: center;
}

.ups_input {
  padding-left: 10px;
  width: 50px;
  text-align: center;
}

.ups_remaining {
  padding-left: 10px;
  width: 75px;
  text-align: center;
}

table.olt-table tbody tr.olt-row:hover td {
  background-color: #E0E0FF;
  background: #E0E0FF;
}

.sendButtonClass {
  background-color: lightgreen;
  background: lightgreen url("images/ui-bg_glass_75_e6e6e6_1x400.png") 50% 50% repeat-x !important;
}

.cancelButtonClass {
  background-color: lightcoral;
  background: lightcoral url("images/ui-bg_glass_75_e6e6e6_1x400.png") 50% 50% repeat-x !important;
}

.rodot0 {
  font-size: 14px;
  color: #a44;
  padding-left: 10px;
  font-weight: bold;
}

.rodot1 {
  font-size: 12px;
  color: #6a6;
  padding-left: 10px;
  font-weight: bold;
}

.rodo0 {
  font-size: 9px;
  color: #a66;
  text-align: justify;
  width: 100%;
}

.rodo1,
.rodo2,
.rodo4,
.rodo8,
.rodo16,
.rodo32,
.rodo64,
.rodo128,
.rodo256 {
  font-size: 9px;
  color: #6a6;
  text-align: justify;
  width: 100%;
}

.form-control {
  border: 1px;
  border-style: solid;
  border-color: #5050A0;
  background-color: #E0E0FF;
}

.teryt-error {
  color: darkred;
  padding: 3px 5px;
}

.no-invoice {
  color: #833;
  font-style: italic;
  font-weight: bold;
  padding-left: 30px;
  text-decoration: underline;
}

.error-red {
  border: 1px solid red;
  font-size: 12px;
  margin: 5px 0;
}

.wf1 {
  font-size: 8pt;
  border: 0;
  padding-left: 20px;
  color: #888;
  font-style: italic;
}

.wf2 {
  font-size: 8pt;
  border: 0;
  padding-right: 30px;
  color: #888;
  font-style: italic;
}

.addon_help {
  background-color: #F0F0FF;
  border: 1px solid #B0B0FF;
  font-family: verdana;
  font-size: 8pt;
  font-weight: normal;
  padding: 3px;
  margin-top: 5px;
  margin-bottom: 5px;
  margin-right: 20px;
}

.bac {
  width: 100%;
  display: block;
  clear: both;
}

.account {
  font-weight: bold;
  color: #226;
  font-size: 1.05em;
  float: left;
  line-height: 2em;
}

.space {
  padding-left: 4px;
}

.print_link {
  text-align: left;
  float: right;
  font-size: 0.9em;
  padding-bottom: 10px;
}

.print_link>a {
  font-size: 0.9em;
  font-weight: normal;
  color: #600;

}

.datatv {
  display: none;
}

.hidden {
  display: none;
}

.ont-unactive {
  color: gray;
}

.rcp-link {
  text-decoration: none;
}

.txt_input {
  border-width: 1px 1px 1px 1px;
  border-style: solid;
  background-color: #F0F0FF;
  border-color: #B0B0FF;
  font-family: verdana;
  font-size: 8pt;
  font-weight: normal
}

.txt_input_readonly {
  border-width: 1px 1px 1px 1px;
  border-style: solid;
  background-color: #e8e8ff;
  border-color: #a0a0ff;
  font-family: verdana;
  font-size: 8pt;
  font-weight: normal;
  color: #446;
  pointer-events: none;
}

.small_input {
  border-width: 1px 1px 1px 1px;
  border-style: solid;
  background-color: #F0F0FF;
  border-color: #B0B0FF;
  font-family: verdana;
  font-size: 7pt;
  font-weight: normal;
  margin-bottom: 0
}

.txt_field {
  border-width: 1px 1px 1px 1px;
  border-style: solid;
  background-color: #F0F0FF;
  border-color: #B0B0FF;
  font-family: verdana;
  font-size: 8pt;
  font-weight: normal
}

.txt_input_field {
  border-width: 0;
  border-style: none;
  /* background-color:#F0F0FF;  */
  /* border-color:#B0B0FF;  */
  font-family: verdana;
  font-size: 8pt;
  font-weight: normal
}

.txt_submit {
  border-width: 1px 1px 1px 1px;
  border-style: solid;
  background-color: #E0E0FF;
  border-color: #B0B0FF;
  font-family: verdana;
  font-size: 8pt;
  font-weight: bold
}

.txt_menu {
  text-decoration: none;
  color: black;
  font-weight: bold;
  font-size: 9pt;
  text-align: center
}

div table .in th,
div table td span.in,
.in td {
  color: #00cc00;
  font-size: 10px;
}

div table .out th,
div table td span.out,
.out td {
  color: #0000ff;
  font-size: 10px;
}

.graph table td {
  padding: 0 10px;
  text-align: right;
}

.map-link,
.map-link:visited,
.map-link:link,
.map-link:hover {
  text-decoration: none;
  color: #060;
}

.menu {
  margin-bottom: 2px;
  border-color: #666;
  border-style: solid;
  border-width: 2px 2px 2px 2px;
}

.addtask {
  vertical-align: middle;
  background-color: #fff;

}

.addleft {
  text-align: left;
  width: 600px;
}

.addright {
  text-align: right;
  width: 150px;
}

.addtable {
  background-color: #fff;
  width: 750px;
  text-align: center;
  font-family: verdana;
  font-size: 8pt;
}

.centerfoot {
  text-align: center;
  color: #888;
  font-style: italic;
  font-size: 13px;
  margin: 0 auto 0 auto;
}

ul.tree,
ul.tree ul {
  list-style-type: none;
  background: url(img/vline.png) repeat-y;
  margin: 0;
  padding: 0;
}

ul.tree ul {
  margin-left: 10px;
}

ul.tree li {
  margin: 0;
  padding: 1px 0 0 12px;
  line-height: 20px;
  background: url(img/node.png) no-repeat;
  color: #234;
  font-weight: bold;
  font-size: 13px;
}

ul.tree .last {
  background: #fff url(img/lastnode.png) no-repeat;
}

.tooltip_container {
  display: none;
  max-width: 200px;
  min-width: 100px;
  min-height: 35px;
  vertical-align: middle;
  text-align: left;
  background-color: #888;
  background-color: rgba(128, 128, 255, 0.8);
  border-color: #558;
  border-style: dotted;
  border-width: thin;
  border-radius: 5px;
  color: white;
}

.kav {
  font-weight: bold;
  color: #226;
  font-size: 1.2em;
  line-height: 2em;
  font-family: monospace;
}

.conn-row {
  float: left;
  width: 530px;
  font-size: 12px;
  clear: both;
  border-bottom: 1px dotted #aae;
}

.conn-ab {
  float: left;
  width: 300px;
  margin-left: 15px;
  text-align: left;
}

.conn-op {
  float: left;
  width: 100px;
  text-align: center;
}

.conn-link {
  float: right;
  width: 100px;
  margin-right: 0;
  text-align: right;
}

.ont-row {
  width: 400px;
  margin-top: 2px;
  margin-bottom: 0;
  overflow: auto;
}

.ont-title {
  float: left;
  width: 130px;
  margin-right: 5px;
  text-align: right;
  font-style: italic;
}

.ont-text {
  margin-left: 5px;
  text-align: left;
  width: 260px;
  float: right;
  clear: right;
}

.ont-text-red {
  margin-left: 5px;
  text-align: left;
  width: 260px;
  float: right;
  clear: right;
  color: red;
  font-weight: bold;
}

.eth4b {
  color: #a54c1d;
}

.status-active {
  color: darkgreen;
  font-weight: bold;
}

.status-invalid {
  color: darkred;
}

.status-inactive {
  color: red;
}

.status-blocked {
  color: white;
  background-color: darkred;
  padding-top: 5px;
  padding-bottom: 5px;
}

.status-running {
  color: lightgreen;
}

.status-activePending {
  color: green;
}

.status-deactivePending {
  color: #744;
}

.status-disablePending {
  color: #533;
}

.status-disable {
  color: #900;
}

.status-unknown {
  color: #667;
}

.status-none {
  color: grey;
}

.status-try {
  color: purple;
}

.status-success {
  color: darkgreen;
}

.status-noOnuProfile {
  color: blue;
}

.status-fail {
  color: red;
}

.text-darkgreen {
  color: darkgreen;
}

.text-darkred {
  color: darkred;
}

.hiden {
  display: none;
}

.pakiet-1 {
  color: black;
}

.pakiet-2 {
  color: green;
}

.pakiet-3 {
  color: blue;
}

.pakiet-4 {
  color: pink;
}

.pakiet-5 {
  color: purple;
}

.pakiet-6 {
  color: red;
}

.pakiet-7 {
  color: yellow;
}

.down-down {
  color: darkred;
}

.down-up {
  color: #6f2600;
}

.up-down {
  color: darkblue;
}

.up-up {
  color: darkgreen;
}

.video_off {
  color: red;
}

.deactive-reason {
  font-style: italic;
  color: darkred;
}

.registered {
  color: darkgreen;
}

.tv-table {
  width: 700px;
  border: 0;
  margin: 0 auto;
  border-collapse: collapse;
  margin: 5px 10px;
  font-size: 13px;
  font-family: sans-serif;
}

.tv-table td {
  border: 1px solid #888;
  border-width: thin;
  background-color: #eef;
  padding: 5px 10px;
}

.tv-table td.date {
  text-align: center;
  font-family: monospace;
}

.tv-table th {
  border: 1px solid #777;
  background-color: #ccf;
  border-width: thin;
  padding: 5px 10px;
}

.tv-table td.sum {
  text-align: right;
}

.ont-edit {
  text-align: right;
}

.ont-edit a {
  color: darkred;
}

.afor-person {
  min-width: 120px;
  width: 120px;
  max-width: 120px;
  height: 10px;
  max-height: 10px;
}

.product_names {
  font-size: 12px;
  line-height: 18px;
  font-family: Verdana;
}

.package_price {
  width: 30%;
  float: left;
}

.package_price1 {
  width: 60px;
  float: left;
}

.small-table {
  font-size: 11px;
}

.active-0 {
  text-decoration: line-through;
}

.active-t {
  color: darkgreen;
}

.active-f {
  color: darkred;
}

.text-small {
  font-size: 7pt;
}

.trow {
  width: 430px;
  margin-top: 0px;
  margin-bottom: 10px;
  font-size: 10px;
}

.t1 {
  width: 60px;
  float: left;
  text-align: right;
  margin-right: 5px;
  color: #777;
}

.t2 {
  width: 60px;
  float: left;
  text-align: left;
  margin-right: 5px;
  color: darkred;
}

.t3 {
  width: 300px;
  float: left;
  text-align: left;
  color: darkgreen;
}

.tprop {
  color: #844;
}

.tp1 {
  color: #234;
  font-weight: bold;
}

.tp2 {
  color: #468;
  font-style: italic;
}

.evio1 {
  width: 400px;
  float: left;
  vertical-align: middle;
}

.evio2 {
  min-width: 85px;
  text-align: right;
  width: 85px;
  display: block;
  float: right;
  /* vertical-align: middle; */
}

.teryt_error {
  color: red;
  font-weight: bold;
  font-size: 15px;
  background-color: yellow;
  width: 150px;
  display: block;
  text-align: center;
}

.konf-warn {
  color: darkred;
  margin-left: 20px;
}

.mac_error {
  border-width: 1px 1px 1px 1px;
  border-style: solid;
  background-color: #ecc;
  border-color: #e88;
  font-family: verdana;
  font-size: 8pt;
  font-weight: normal;
  color: a22;
}

.mac_good {
  border-width: 1px 1px 1px 1px;
  border-style: solid;
  background-color: #F0F0FF;
  border-color: #B0B0FF;
  font-family: verdana;
  font-size: 8pt;
  font-weight: normal
}

.hp_container {
  min-width: 531px;
  width: 531px;
  display: flex;
  border: 1px solid #c3c3c3;
  background-color: #eee;
  flex-wrap: wrap;
}

.hp_project {
  min-width: 530px;
  width: 530px;
  padding: 5px;
}

.hp_container .trow {
  padding: 0 2px 0 2px;
  margin-bottom: 2px;
}

.t4 {
  width: 200px;
  float: left;
  text-align: right;
  margin-right: 5px;
  color: #777;
}

.status-0 {
  color: #dc3545;
}

.status-1 {
  color: #198754;
}

.status-2 {
  color: #ffc107;
}

.div-center {
  border: 0;
  margin: auto;
  width: 850px;
  padding: 5px;
}

.text-center {
  text-align: center;
  vertical-align: middle;
}

.ab {
  font-size: 0.8em;
}

.ab-table {
  /* font-family: Verdana, Geneva, Tahoma, sans-serif; */
  font-size: 0.8em;
  background-color: #F5F5FF;
  border-collapse: collapse;
  border: 1px solid #444;
}

.ab-table td {
  border-collapse: collapse;
  border: 1px solid #666;
}

.ab-table th {
  border-collapse: collapse;
  border: 1px solid #666;
  background-color: #f0f0ff;
}

.form_label {
  width: 200px;
  min-width: 200px;
  display: inline-block;
  text-align: right;
  padding-right: 5px;
  padding-bottom: 5px;
}

.gsm_div1,
.gsm_div2,
.gsm_div3 {
  float: left;
  /* height: 100%; Jeśli chcesz, aby divy miały pełną wysokość komórki */
  min-height: 20px;
  padding-top: 4px;
}

.gsm_div1 {
  width: 420px;
}

.gsm_div2,
.gsm_div3 {
  width: 50px;
  text-align: right;
  padding-left: 10px;
}

.gsm_active_f {
  background-color: #fee;
  color: #aaa;
  text-decoration: line-through;
}

.sms_error {
  color: #600;
  /* font-weight: bold; */
  font-size: 12px;
  font-family: serif;
}

.sms_ok {
  color: #060;
  /* font-weight: bold; */
  font-size: 12px;
  font-family: serif;
}

/* Clearfix dla rodzica, aby prawidłowo zawierał pływające elementy */
td:after {
  content: "";
  display: table;
  clear: both;
}

.email-error {
  color: #d22;
  font-weight: bold;
}

.services_info {
  color: gray;
  font-size: 11px;
  font-style: italic;
}

.tvip-ac-ok {
  color: #060;
  background-color: lightblue;
  font-style: italic;
  text-align: center;
}

.tvip-ac-error {
  color: #600;
  font-style: italic;
  background-color: darksalmon;
  text-align: center;
}

.tvdev_err {
  color: #600;
  background-color: darksalmon;
}

.tvdev_row {
  width: 350px;
  display: flex;
  margin-bottom: 5px;
  border-bottom: 1px solid #e0e0e0;
}

.tvip_device {
  font-size: 11px;
}

.tvdev_h {
  width: 150px;
  font-family: 'Courier New', Courier, monospace;
  color: #600;
}

.tvdev_v {
  width: 200px;
  font-family: 'Courier New', Courier, monospace;
  font-weight: bold;
  color: #226;
}

.ab-umowa {
  border: 1px solid darkgray;
  border-collapse: collapse;
  font-family: Cambria, serif;
  font-size: 10pt;
}

.ab-umowa-td1 {
  width: 20%;
  max-width: 20%;
  border: 1px solid darkgray;
  border-collapse: collapse;
  padding: 5px;
}

.ab-umowa-td2 {
  width: 40%;
  max-width: 40%;
  border: 1px solid darkgray;
  border-collapse: collapse;
  padding: 1.2em;
}

.ab-info {
  font-size: 0.9em;
}

span.old-variable {
  color: #336;
  font-style: italic;
  width: 150px;
  min-width: 150px;
  display: inline-block;
}

span.variable {
  color: darkred;
  font-weight: bold;
}

span.brutto {
  color: darkslateblue;
  font-weight: bold;
}

.invoice_position_on_contract_t {
  background-color: #E5FFED;
}

.invoice_position_on_contract_f {
  background-color: #FFFAF8;
}

th.table-history {
  font-size: 10pt;
}

.table-history tr.table-tr:nth-child(odd) {
  background-color: #E3E3Ee;
}

.table-history tr.table-tr:nth-child(even) {
  background-color: #F5F5FF;
}


.table-history-main {
  width: 820px;
  max-width: 820px;
  background-color: #F5F5FF;
  display: table;
  border-width: 0;
  border-style: none;
  border-collapse: collapse;
}

.table-history {
  vertical-align: top;
  font-size: 8pt;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  padding-top: 5px;
  padding-bottom: 5px;
}

.table-history-who {
  width: 100px;
  max-width: 100px;
  text-align: right;
}

.table-history-action {
  width: 450px;
  max-width: 450px;
  text-align: center;
  text-overflow: unset;
}

.table-history-type {
  width: 120px;
  max-width: 120px;
  text-align: left;
}

.table-history-date {
  width: 150px;
  max-width: 150px;
  text-align: left;
}

.table-history-sms {
  width: 670px;
  max-width: 670px;
  text-align: left;
}

.payu-cell {
  position: relative;
  cursor: help;
}

.payu-cell:hover::after {
  content: attr(data-paid-date);
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  padding: 5px 10px;
  background-color: #333;
  color: white;
  border-radius: 4px;
  white-space: nowrap;
  z-index: 1000;
  font-size: 12px;
}